# Anim8orBZWConverter
Licensed under GNUv3 (see license.txt)
Made by EvanEjk
Ported to Python by Zehra

## Instructions on making map:
Make the map in anim8or.
While making the map, only use cubes. To change what type of object the cubes are, change the cube's names.
### **To make a pyramid:**
    Put “pyr” (no quotes needed) anywhere in the name.
### **To make a teleporter:**
    Put “tel” (no quotes needed) anywhere in the name. The teleporter’s X size will be set to .125 in the BZW file, so you should set it to .125 in anim8or. (The teleporter will go along bzflag’s Y axis, if you want to change this, rotate it.)
### To Rotate:
    Rotate the object in anim8or only around the height axis. (This is the only rotation that bzflag supports.)  (Edit>Rotation)
## Info/Tips:
* It’s helpful to color code the cubes in anim8or, so you can see which ones are boxes, pyramids, and teleporters.
* Do not name any cubes over 50 characters long.
* Do not make any object sizes/positions super long.
* It will work more perfectly if you use round numbers to size/position your objects.
## To Convert:
1. Put an anim8or file named "map.an8" in the same directory as the converter.
2. Run `Anim8orToBZW.py`
3. The output file will be called map.bzw, and will be in the same directory.
